<div
  class="source-field {{if this.isEmpty "empty"}}"
  {{on "props-update" this.updateProps}}
  {{did-insert this.loaded}}
  {{did-update this.loaded @record}}
  data-model-key={{this.value.modelKey}}
  data-for={{@for}}
  data-path={{if @path (concat @path ".data.field")}}
  data-type="data field"
  data-name={{if @path this.value.name}}
  data-gid={{this.value.gid}}
  data-editor="source-field"
  ...attributes
>
  {{yield this.fieldName this.fieldValue}}
</div>